Skip to content

Check access restriction types

Check suspension types

Retrieves the list of registered suspension types. It returns policy restriction types (block_type_list) and temporary restriction types (temp_type_list) separately. Unregistered languages are displayed in English. See Authentication > Suspension > Register type.

Basics

Description
Request URL Production: https://auth.qpyou.cn/game/block/type/get
Sandbox: https://sandbox-auth.qpyou.cn/game/block/type/get
Method POST
HTTP Header Content-type: application/json
ISCRYPT: 0
Response Format JSON

Request

Parameter Type Required Description
appid String O App ID
hive_certification_key String O Hive certification key (issued in App Center) Learn more
language String X Language code (default: en)
  • ko (Korean)
  • en (English)
  • ja (Japanese)
  • zh-hans (Chinese (Simplified))
  • zh-hant (Chinese (Traditional))
  • de (German)
  • fr (French)
  • ru (Russian)
  • es (Spanish)
  • pt (Portuguese)
  • id (Indonesian)
  • th (Thai)
  • vi (Vietnamese)
  • it (Italian)
  • tr (Turkish)
  • ar (Arabic)

Response

Parameter Type Description
result_code Integer Result code
  • 0: Success
  • 4000: Invalid parameter
  • 4002: Certification key mismatch
  • 6000: Invalid appid
result_msg String Result message
data Object Response data
data.block_type_list Array Policy restriction type list
data.block_type_list[].block_type Integer Suspension type number
data.block_type_list[].type_status String Suspension popup type (O: policy restriction)
data.block_type_list[].type_name String Suspension type name (fixed in Korean regardless of requested language)
data.block_type_list[].type_en_name String Suspension type name (fixed in English regardless of requested language)
data.block_type_list[].reason String Suspension reason (returned based on language; unregistered languages use English)
data.temp_type_list Array Temporary restriction type list
data.temp_type_list[].block_type Integer Suspension type number
data.temp_type_list[].type_status String Suspension popup type (N: temporary restriction)
data.temp_type_list[].type_name String Suspension type name (fixed in Korean regardless of requested language)
data.temp_type_list[].type_en_name String Suspension type name (fixed in English regardless of requested language)
data.temp_type_list[].title String Temporary restriction popup title (returned based on language; unregistered languages use English)
data.temp_type_list[].reason String Temporary restriction popup guidance message (returned based on language; unregistered languages use English)

Request popup messages in a specific language

If you need to check title and reason messages in a specific language instead of the default English in the operation tool, include a language code in language when making the request. type_name is always fixed in Korean, and type_en_name is always fixed in English. Since this API requires authentication, pass hive_certification_key together.

curl -X POST https://auth.qpyou.cn/game/block/type/get \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "language": "ko"}'

Check a response that includes both policy and temporary restriction types

If the request succeeds and result_code is 0, both data.block_type_list and data.temp_type_list are returned. Parse the two arrays separately on the server, and use each type name and reason for the intended purpose.

{
  "result_code": 0,
  "result_msg": "SUCCESS",
  "data": {
    "block_type_list": [
      {
        "block_type": 1,
        "type_status": "O",
        "type_name": "불법 프로그램 이용",
        "type_en_name": "Usage of unauthorized programs",
        "reason": "불법 프로그램 이용"
      },
      {
        "block_type": 2,
        "type_status": "O",
        "type_name": "비매너 행위",
        "type_en_name": "Inappropriate Behavior",
        "reason": "비매너 행위"
      }
    ],
    "temp_type_list": [
      {
        "block_type": 25,
        "type_status": "N",
        "type_name": "임시 접속 제한(게임 데이터 수정)",
        "type_en_name": "Temporary access restriction (game data modified)",
        "title": "게임 이용에 불편을 드려 죄송합니다.",
        "reason": "현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."
      }
    ]
  }
}